from rest_framework import serializers
from uhepp_vault.models import Plot

class PlotSerializer(serializers.ModelSerializer):
    class Meta:
        model = Plot
        fields = ['data']

    def get_initial(self):
        return {}

    def to_internal_value(self, data):
        return {'data': data}

    def to_representation(self, instance):
        return instance.data
